[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: MySQL 4.0.18 libmysqlclient error



Sorry for some confusion here.  I'm running 3.5, and I installed mysql in /usr/local, /var/work/compile/mysql-4.0.18 is just where the source code is unpacked.  I start the server using the mysql.server script and that works fine.  The problem I'm having is with the mysql client.  With the server running, executing mysql is what generates the error.  If I do a strings on /usr/local/bin/mysql and grep for libmysql, I can see that the line ../libmysql/.libs/libmysqlclient.so.12.0 is hardcoded into the binary.  The only variable I pass to the configure script is --localstatedir=/var/mysql.  Other than that, I've followed the installation instructions to the letter.

Thanks,

	Howard

-----Original Message-----
From: Brandon Mercer [mailto:nomercy_(_at_)_eutonian_(_dot_)_com]
Sent: Thursday, May 13, 2004 11:50 AM
To: misc_(_at_)_OpenBSD_(_dot_)_org
Subject: Re: MySQL 4.0.18 libmysqlclient error


Howard Feiock wrote:

>Hello,
>
>I'm new to OpenBSD and I'm having a problem with installing mysql-4.0.18 from source.  The configure, make and make install process completes without any problems.  However, when I try to execute the mysql client, I get the following error:
>
># mysql
>mysql: can't load library '../libmysql/.libs/libmysqlclient.so.12.0'
>
>I've trying searching google for a fix, but I can't seem to find anything.  I compiled mysql from /var/work/compile/mysql-4.0.18, and if I cd to a sub directory of that path, the mysql client starts without any problems.  If I try from any other path, I get the error.  Let me know if you need any additional information from me, and thanks in advance for your help.
>
>Thanks,
>
>	Howard
>
One last note, that is not how you start the server.  
/usr/local/mysql/bin/safe_mysqld --user=mysql &
Brandon